package controllers
import play.api._
import play.api.mvc._
import models.services._

object Autocomplete extends Controller{

  def projectList() = Action {
    request => {
      Ok(ProjectManager().getProjectList(request))
	}
  }
  
  def partList() = Action {
    request => {
      Ok(PartManager().partList(request))
    }
  }
  
  def userList() = Action {
    request => {
      Ok(UserManager().userList(request))
    }
  }
  
  def designChangeList() = Action {
    request => {
      Ok(DesignChangeManager().designChangeList(request))
    }
  }

}